package com.example.ellegadodepintia.exploradoresDePintia.model.objeto

import com.example.ellegadodepintia.exploradoresDePintia.model.objeto.efectoObjeto.EfectoObjeto

class ObjetoDeValor(
    nombre: String,
    descripcion: String,
    val efecto: EfectoObjeto, imagen: Int,
) : Objeto(nombre, descripcion, imagen) {

    override fun usar() {
        efecto.ejecutar()
    }
}
